## NAS Set Preferred Networks request NAS Set Preferred Networks request |

## Functions

QmiMessageNasSetPreferredNetworksInput * | qmi_message_nas_set_preferred_networks_input_new ()
QmiMessageNasSetPreferredNetworksInput * | qmi_message_nas_set_preferred_networks_input_ref ()
void | qmi_message_nas_set_preferred_networks_input_unref ()
gboolean | qmi_message_nas_set_preferred_networks_input_get_clear_previous_preferred_networks ()
gboolean | qmi_message_nas_set_preferred_networks_input_set_clear_previous_preferred_networks ()
gboolean | qmi_message_nas_set_preferred_networks_input_get_mnc_pcs_digit_include_status ()
gboolean | qmi_message_nas_set_preferred_networks_input_set_mnc_pcs_digit_include_status ()
gboolean | qmi_message_nas_set_preferred_networks_input_get_preferred_networks ()
gboolean | qmi_message_nas_set_preferred_networks_input_set_preferred_networks ()
QmiMessageNasSetPreferredNetworksOutput * | qmi_message_nas_set_preferred_networks_output_ref ()
void | qmi_message_nas_set_preferred_networks_output_unref ()
gboolean | qmi_message_nas_set_preferred_networks_output_get_result ()
void | qmi_client_nas_set_preferred_networks ()
QmiMessageNasSetPreferredNetworksOutput * | qmi_client_nas_set_preferred_networks_finish ()

## Types and Values

| QmiMessageNasSetPreferredNetworksInput
| QmiMessageNasSetPreferredNetworksInputMncPcsDigitIncludeStatusElement
| QmiMessageNasSetPreferredNetworksInputPreferredNetworksElement
| QmiMessageNasSetPreferredNetworksOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasSetPreferredNetworksInput
        ╰── QmiMessageNasSetPreferredNetworksOutput

## Description

## Functions

### qmi_message_nas_set_preferred_networks_input_new ()

    QmiMessageNasSetPreferredNetworksInput *
    qmi_message_nas_set_preferred_networks_input_new
                                   (void);

Allocates a new QmiMessageNasSetPreferredNetworksInput.

#### Returns

the newly created QmiMessageNasSetPreferredNetworksInput. The returned value should be freed with `qmi_message_nas_set_preferred_networks_input_unref()`.

Since: 1.30

### qmi_message_nas_set_preferred_networks_input_ref ()

    QmiMessageNasSetPreferredNetworksInput *
    qmi_message_nas_set_preferred_networks_input_ref
                                   (QmiMessageNasSetPreferredNetworksInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasSetPreferredNetworksInput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_nas_set_preferred_networks_input_unref ()

    void
    qmi_message_nas_set_preferred_networks_input_unref
                                   (QmiMessageNasSetPreferredNetworksInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasSetPreferredNetworksInput. |

Since: 1.30

### qmi_message_nas_set_preferred_networks_input_get_clear_previous_preferred_networks ()

    gboolean
    qmi_message_nas_set_preferred_networks_input_get_clear_previous_preferred_networks
                                   (QmiMessageNasSetPreferredNetworksInput *self,
                                    gboolean *value_clear_previous_preferred_networks,
                                    GError **error);

Get the 'Clear Previous Preferred Networks' field from `self` .

#### Parameters

self | a QmiMessageNasSetPreferredNetworksInput. |
value_clear_previous_preferred_networks | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_nas_set_preferred_networks_input_set_clear_previous_preferred_networks ()

    gboolean
    qmi_message_nas_set_preferred_networks_input_set_clear_previous_preferred_networks
                                   (QmiMessageNasSetPreferredNetworksInput *self,
                                    gboolean value_clear_previous_preferred_networks,
                                    GError **error);

Set the 'Clear Previous Preferred Networks' field in the message.

#### Parameters

self | a QmiMessageNasSetPreferredNetworksInput. |
value_clear_previous_preferred_networks | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_nas_set_preferred_networks_input_get_mnc_pcs_digit_include_status ()

    gboolean
    qmi_message_nas_set_preferred_networks_input_get_mnc_pcs_digit_include_status
                                   (QmiMessageNasSetPreferredNetworksInput *self,
                                    GArray **value_mnc_pcs_digit_include_status,
                                    GError **error);

Get the 'MNC PCS Digit Include Status' field from `self` .

#### Parameters

self | a QmiMessageNasSetPreferredNetworksInput. |
value_mnc_pcs_digit_include_status | a placeholder for the output GArray of QmiMessageNasSetPreferredNetworksInputMncPcsDigitIncludeStatusElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiMessageNasSetPreferredNetworksInputMncPcsDigitIncludeStatusElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_nas_set_preferred_networks_input_set_mnc_pcs_digit_include_status ()

    gboolean
    qmi_message_nas_set_preferred_networks_input_set_mnc_pcs_digit_include_status
                                   (QmiMessageNasSetPreferredNetworksInput *self,
                                    GArray *value_mnc_pcs_digit_include_status,
                                    GError **error);

Set the 'MNC PCS Digit Include Status' field in the message.

#### Parameters

self | a QmiMessageNasSetPreferredNetworksInput. |
value_mnc_pcs_digit_include_status | a GArray of QmiMessageNasSetPreferredNetworksInputMncPcsDigitIncludeStatusElement elements. A new reference to `value_mnc_pcs_digit_include_status` will be taken. | [in][element-type QmiMessageNasSetPreferredNetworksInputMncPcsDigitIncludeStatusElement]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_nas_set_preferred_networks_input_get_preferred_networks ()

    gboolean
    qmi_message_nas_set_preferred_networks_input_get_preferred_networks
                                   (QmiMessageNasSetPreferredNetworksInput *self,
                                    GArray **value_preferred_networks,
                                    GError **error);

Get the 'Preferred Networks' field from `self` .

#### Parameters

self | a QmiMessageNasSetPreferredNetworksInput. |
value_preferred_networks | a placeholder for the output GArray of QmiMessageNasSetPreferredNetworksInputPreferredNetworksElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiMessageNasSetPreferredNetworksInputPreferredNetworksElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_nas_set_preferred_networks_input_set_preferred_networks ()

    gboolean
    qmi_message_nas_set_preferred_networks_input_set_preferred_networks
                                   (QmiMessageNasSetPreferredNetworksInput *self,
                                    GArray *value_preferred_networks,
                                    GError **error);

Set the 'Preferred Networks' field in the message.

#### Parameters

self | a QmiMessageNasSetPreferredNetworksInput. |
value_preferred_networks | a GArray of QmiMessageNasSetPreferredNetworksInputPreferredNetworksElement elements. A new reference to `value_preferred_networks` will be taken. | [in][element-type QmiMessageNasSetPreferredNetworksInputPreferredNetworksElement]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.30

### qmi_message_nas_set_preferred_networks_output_ref ()

    QmiMessageNasSetPreferredNetworksOutput *
    qmi_message_nas_set_preferred_networks_output_ref
                                   (QmiMessageNasSetPreferredNetworksOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasSetPreferredNetworksOutput. |

#### Returns

the new reference to `self` .

Since: 1.30

### qmi_message_nas_set_preferred_networks_output_unref ()

    void
    qmi_message_nas_set_preferred_networks_output_unref
                                   (QmiMessageNasSetPreferredNetworksOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasSetPreferredNetworksOutput. |

Since: 1.30

### qmi_message_nas_set_preferred_networks_output_get_result ()

    gboolean
    qmi_message_nas_set_preferred_networks_output_get_result
                                   (QmiMessageNasSetPreferredNetworksOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasSetPreferredNetworksOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.30

### qmi_client_nas_set_preferred_networks ()

    void
    qmi_client_nas_set_preferred_networks (QmiClientNas *self,
                                           QmiMessageNasSetPreferredNetworksInput *input,
                                           guint timeout,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously sends a Set Preferred Networks request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_set_preferred_networks_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasSetPreferredNetworksInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.30

### qmi_client_nas_set_preferred_networks_finish ()

    QmiMessageNasSetPreferredNetworksOutput *
    qmi_client_nas_set_preferred_networks_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_set_preferred_networks()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_set_preferred_networks()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasSetPreferredNetworksOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_set_preferred_networks_output_unref()`.

Since: 1.30

## Types and Values

### QmiMessageNasSetPreferredNetworksInput

    typedef struct _QmiMessageNasSetPreferredNetworksInput QmiMessageNasSetPreferredNetworksInput;

The QmiMessageNasSetPreferredNetworksInput structure contains private data and should only be accessed using the provided API.

Since: 1.30

### QmiMessageNasSetPreferredNetworksInputMncPcsDigitIncludeStatusElement

    typedef struct {
        guint16 mcc;
        guint16 mnc;
        gboolean includes_pcs_digit;
    } QmiMessageNasSetPreferredNetworksInputMncPcsDigitIncludeStatusElement;

A QmiMessageNasSetPreferredNetworksInputMncPcsDigitIncludeStatusElement struct.

#### Members

guint16 `mcc`; | a guint16. |
guint16 `mnc`; | a guint16. |
gboolean `includes_pcs_digit`; | a gboolean. |

Since: 1.30

### QmiMessageNasSetPreferredNetworksInputPreferredNetworksElement

    typedef struct {
        guint16 mcc;
        guint16 mnc;
        QmiNasPlmnAccessTechnologyIdentifier radio_access_technology;
    } QmiMessageNasSetPreferredNetworksInputPreferredNetworksElement;

A QmiMessageNasSetPreferredNetworksInputPreferredNetworksElement struct.

#### Members

guint16 `mcc`; | a guint16. |
guint16 `mnc`; | a guint16. |
QmiNasPlmnAccessTechnologyIdentifier `radio_access_technology`; | a QmiNasPlmnAccessTechnologyIdentifier. |

Since: 1.30

### QmiMessageNasSetPreferredNetworksOutput

    typedef struct _QmiMessageNasSetPreferredNetworksOutput QmiMessageNasSetPreferredNetworksOutput;

The QmiMessageNasSetPreferredNetworksOutput structure contains private data and should only be accessed using the provided API.

Since: 1.30